function outData = MIPloop(files, path, metaData)

    outData = cell(numel(files), metaData.SizeC);
    for i = 1:numel(files)
        clc;
        disp("Generating MIPs...")
        disp(strcat("MIP ", num2str(i), " of ", num2str(numel(files))))
        outData(i,:) = generateMIP(path,files{i},metaData);
    end

end